VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IColorChooserDelegate Class Referenceabstract
Version 4.0

## Public Member Functions
virtual void | colorChanged (CColorChooser *chooser, const CColor &color)=0
virtual void | onBeginColorChange (CColorChooser *chooser)=0
virtual void | onEndColorChange (CColorChooser *chooser)=0

## Member Function Documentation

virtual void colorChanged | ( | CColorChooser * | chooser,
|  | const CColor & | color
| ) |  |
| pure virtual

virtual void onBeginColorChange | ( | CColorChooser * | chooser | ) |
| pure virtual

virtual void onEndColorChange | ( | CColorChooser * | chooser | ) |
| pure virtual

The documentation for this class was generated from the following file:

- ccolorchooser.h